pandoc-1.16.0.2: Conversion between markup formats

Copyright | Copyright (C) 2006-2015 John MacFarlane
License | GNU GPL, version 2 or above
Maintainer | John MacFarlane <jgm@berkeley.edu>
Stability | alpha
Portability | portable
Safe Haskell | None
Language | Haskell98

Text.Pandoc.Error

Description

This module provides a standard way to deal with possible errors encounted during parsing.

Synopsis

- data PandocError
  - = ParseFailure String
  - | ParsecError Input ParseError
- handleError :: Either PandocError a -> a

# Documentation

data PandocError Source

Constructors

ParseFailure String | Generic parse failure
ParsecError Input ParseError | Error thrown by a Parsec parser

Instances

Show PandocError Source |
Generic PandocError Source |
Exception PandocError Source |
type Rep PandocError Source |

handleError :: Either PandocError a -> a Source

An unsafe method to handle `PandocError`s.